# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

%define use_apm 1

%ifnarch %ix86 ppc
%define use_apm 0
%endif

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdeutils
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Utilities
Version:	3.1
Release:	9mdk

Source:		kdeutils-3.1.tar.bz2
Patch0:		kdeutils-3.0-ktimer_icons.patch.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch1:		kde-lib64updates.patch.bz2

# Laurent -3.0.2-3mdk fix calc bugs patch commited in kde3.0 et kde3.1
Patch2:		kdeutils-3.0.2-fix-calc.patch.bz2




# Laurent - 3.0.3-2mdk use klineeditdlg in kregexpeditor
Patch6:		kdeutils-3.0.3-use-klineeditdlg.patch.bz2

# Laurent - 3.0.3-4mdk - fix kdf mem leak
Patch7:		kdeutils-3.0.3-fix-kdf-mem-leak.patch.bz2

# Laurent - 3.0.3-5mdk workaround for kedit => enable/disable cut/copy action
Patch8:		kdeutils-3.0.3-fix-kedit-enable-disable-cut-copy-action.patch.bz2

# Laurent - 3.1 fix ksim crash
Patch9:		kdeutils-3.1-fix-ksim-crash.patch.bz2
Patch10:	kdeutils-3.1-fix-ksim-crash2.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Obsoletes:	kdf kdeutils
Provides:	kdf

# To remove
Obsoletes:	kdeutils3.0 kdeutils3
Provides:	kdeutils3

# Dadou - 2.2.1-3mdk - dosfstools is for kfloppy and efax for kfax
Requires:	dosfstools, efax

%if %use_apm
# Dadou - 2.1-1mdk - For battery control
Requires:	apmd
%endif

BuildRequires:  XFree86-devel

%description
Utilities for the K Desktop Environment.
	- ark: manager for compressed files and archives
	- kcalc: scientific calculator
	- kcharselect: select special characters from any fonts and put them into the clipboard
	- charselectapplet: dito, but as a Kicker applet
	- kcardtools:
	- kdepasswd: like 'passwd', a graphical password changer
	- kdessh: front end to ssh
	- kdf: like 'df', a graphical free disk space viewer
	- kedit: a simple text editor, without formatting like bold, italics etc
	- kfloppy: format a floppy disks with this app
	- khexedit: binary file editor
	- kjots: manages several "books" with a subject and notes
	- klaptopdaemon: battery and power management, including KControl plugins
	- kregexpeditor: graphical regular expression editor
	- ktimer: execute programs after some time

%package devel
Summary:	Header files for kdeutils
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release

Obsoletes:  kdeutils3-devel
Provides:   kdeutils3-devel

%description devel
Headers files for kdeutils.



%prep



%setup -q -nkdeutils-3.1
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch6 -p1
%patch7 -p1

%patch9 -p1
%patch10 -p1

%build
#make -f Makefile.cvs
export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
		    --libdir=%_libdir \
                    --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
                    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make


%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create MDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/

# %%_datadir/applnk/Editors/
kdedesktop2mdkmenu.pl kdeutils Applications/Editors %buildroot/%_datadir/applnk/Editors/KEdit.desktop %buildroot/%_menudir/kdeutils-kedit kde

# %%_datadir/applnk/Settings/Information/
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/kcmdf.desktop %buildroot/%_menudir/kdeutils-kcmdf kde
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/Information %buildroot/%_datadir/applnk/Settings/Information/pcmcia.desktop %buildroot/%_menudir/kdeutils-pcmcia kde

# %%_datadir/applnk/Settings/PowerControl/
kdedesktop2mdkmenu.pl kdeutils Configuration/KDE/PowerControl %buildroot/%_datadir/applnk/Settings/PowerControl/laptop.desktop %buildroot/%_menudir/kdeutils-laptop kde

# %%_datadir/applnk/Settingsmeu
kdedesktop2mdkmenu.pl kdeutils Configuration/Other %buildroot/%_datadir/applnk/Settingsmenu/kdepasswd.desktop %buildroot/%_menudir/kdeutils-kdepasswd kde


# %%_datadir/applnk/System/
kdedesktop2mdkmenu.pl kdeutils Applications/Monitoring %buildroot/%_datadir/applnk/System/More/kdf.desktop %buildroot/%_menudir/kdeutils-kdf
kdedesktop2mdkmenu.pl kdeutils Applications/Monitoring %buildroot/%_datadir/applnk/System/More/ksim.desktop %buildroot/%_menudir/kdeutils-ksim
kdedesktop2mdkmenu.pl kdeutils Configuration/Hardware %buildroot/%_datadir/applnk/System/More/kwikdisk.desktop %buildroot/%_menudir/kdeutils-kwikdisk kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdeutils Applications/Archiving/Compression %buildroot/%_datadir/applnk/Utilities/ark.desktop %buildroot/%_menudir/kdeutils-ark

kdedesktop2mdkmenu.pl kdeutils Applications/Sciences/Mathematics %buildroot/%_datadir/applnk/Utilities/kcalc.desktop %buildroot/%_menudir/kdeutils-kcalc
kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/More/KCharSelect.desktop %buildroot/%_menudir/kdeutils-kcharselect
#kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/kcardchooser.desktop %buildroot/%_menudir/kdeutils-kcardchooser
kdedesktop2mdkmenu.pl kdeutils Configuration/Hardware %buildroot/%_datadir/applnk/Utilities/KFloppy.desktop %buildroot/%_menudir/kdeutils-kfloppy
kdedesktop2mdkmenu.pl kdeutils Applications/Editors %buildroot/%_datadir/applnk/Utilities/More/khexedit.desktop %buildroot/%_menudir/kdeutils-khexedit

kdedesktop2mdkmenu.pl kdeutils Applications/Text\ tools %buildroot/%_datadir/applnk/Utilities/More/Kjots.desktop %buildroot/%_menudir/kdeutils-kjots

kdedesktop2mdkmenu.pl kdeutils Office/Time\ management %buildroot/%_datadir/applnk/Utilities/More/ktimer.desktop %buildroot/%_menudir/kdeutils-ktimer kde


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot/


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/ark/
%doc %_docdir/HTML/en/ark/common
%doc %_docdir/HTML/en/ark/*.docbook
%doc %_docdir/HTML/en/ark/*.bz2
#
#
#
#
#
%dir %_docdir/HTML/en/kcalc/
%doc %_docdir/HTML/en/kcalc/common
%doc %_docdir/HTML/en/kcalc/*.docbook
%doc %_docdir/HTML/en/kcalc/*.txt
%doc %_docdir/HTML/en/kcalc/*.bz2
#
#
%dir %_docdir/HTML/en/kdf/
%doc %_docdir/HTML/en/kdf/common
%doc %_docdir/HTML/en/kdf/*.docbook
%doc %_docdir/HTML/en/kdf/*.png
%doc %_docdir/HTML/en/kdf/*.bz2
#
#
%dir %_docdir/HTML/en/kedit/
%doc %_docdir/HTML/en/kedit/common
%doc %_docdir/HTML/en/kedit/*.docbook
%doc %_docdir/HTML/en/kedit/*.bz2
#
#
#
#
%dir %_docdir/HTML/en/kfloppy/
%doc %_docdir/HTML/en/kfloppy/common
%doc %_docdir/HTML/en/kfloppy/*.docbook
%doc %_docdir/HTML/en/kfloppy/*.bz2
#
#
%dir %_docdir/HTML/en/khexedit/
%doc %_docdir/HTML/en/khexedit/common
%doc %_docdir/HTML/en/khexedit/*.docbook
%doc %_docdir/HTML/en/khexedit/*.png
%doc %_docdir/HTML/en/khexedit/*.bz2
#
#
%dir %_docdir/HTML/en/kjots/
%doc %_docdir/HTML/en/kjots/common
%doc %_docdir/HTML/en/kjots/*.docbook
%doc %_docdir/HTML/en/kjots/*.bz2
#
#

%dir %_docdir/HTML/en/kcharselect/
%doc %_docdir/HTML/en/kcharselect/common
%doc %_docdir/HTML/en/kcharselect/*.docbook
%doc %_docdir/HTML/en/kcharselect/*.bz2

%dir %_docdir/HTML/en/ksim/
%doc %_docdir/HTML/en/ksim/common
%doc %_docdir/HTML/en/ksim/*.docbook
%doc %_docdir/HTML/en/ksim/*.bz2

%dir %_docdir/HTML/en/ktimer/
%doc %_docdir/HTML/en/ktimer/common
%doc %_docdir/HTML/en/ktimer/*.docbook
%doc %_docdir/HTML/en/ktimer/*.bz2

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kcmlowbatcrit/
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/common
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlowbatcrit/*.bz2


%dir %_docdir/HTML/en/kcontrol/kcmlowbatwarn/
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/common
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/*.docbook
%doc %_docdir/HTML/en/kcontrol/kcmlowbatwarn/*.bz2

%dir %_docdir/HTML/en/kcontrol/laptop/
%doc %_docdir/HTML/en/kcontrol/laptop/common
%doc %_docdir/HTML/en/kcontrol/laptop/*.docbook
%doc %_docdir/HTML/en/kcontrol/laptop/*.bz2

%dir %_docdir/HTML/en/kcontrol/powerctrl/
%doc %_docdir/HTML/en/kcontrol/powerctrl/common
%doc %_docdir/HTML/en/kcontrol/powerctrl/*.docbook
%doc %_docdir/HTML/en/kcontrol/powerctrl/*.bz2


%dir %_docdir/HTML/en/kinfocenter/blockdevices/
%doc %_docdir/HTML/en/kinfocenter/blockdevices/common
%doc %_docdir/HTML/en/kinfocenter/blockdevices/*.docbook
%doc %_docdir/HTML/en/kinfocenter/blockdevices/*.bz2




#
#
%doc %_docdir/HTML/en/KRegExpEditor/common
%doc %_docdir/HTML/en/KRegExpEditor/*.docbook
%doc %_docdir/HTML/en/KRegExpEditor/*.bz2
%doc %_docdir/HTML/en/KRegExpEditor/*.png
#
#
# Laurent - 2.2-6mdk - efax, efix and fax man pages are provided by efax package
#%doc %_mandir/man1/efax.1.*
#%doc %_mandir/man1/efix.1.*
#%doc %_mandir/man1/fax.1.*
#
#
#
%_bindir/ark
# Laurent - 2.2-6mdk - %%_bindir/efax, %%_bindir/efix and %%_bindir/fax are
#                      provided by efax package
#%_bindir/efax
#%_bindir/efix
#%_bindir/fax
#%_bindir/kab
%_bindir/kcalc
%_bindir/kcharselect
%_bindir/kdepasswd
%_bindir/kdessh
%_bindir/kdf
%_bindir/kedit
%_bindir/kfloppy
%_bindir/khexedit
%_bindir/kjots
%if %use_apm
%_bindir/klaptopdaemon
%endif
%_bindir/ktimer
%_bindir/kwikdisk
#%_bindir/kcardchooser
%_bindir/ksim
#
#
#
%_libdir/*.la
%_libdir/*.so*
%_libdir/kde3/*.so*
%_libdir/kde3/*.la
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
#
#
%dir %_datadir/applnk/Editors/
%_datadir/applnk/Editors/*.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Information/
%_datadir/applnk/Settings/Information/*.desktop
#
%dir %_datadir/applnk/Settings/PowerControl/
%_datadir/applnk/Settings/PowerControl/*.desktop
#
#
%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop
%dir %_datadir/applnk/System/More
%_datadir/applnk/System/More/*.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/*.desktop
%dir %_datadir/applnk/Utilities/More/
%_datadir/applnk/Utilities/More/*.desktop
#
%dir %_datadir/applnk/Settingsmenu/
%_datadir/applnk/Settingsmenu/*.desktop


#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ark/
%_datadir/apps/ark/*.rc
#
%dir %_datadir/apps/ark/icons/



%dir %_datadir/apps/ark/icons/crystalsvg/22x22/
%dir %_datadir/apps/ark/icons/crystalsvg/22x22/actions/
%_datadir/apps/ark/icons/crystalsvg/22x22/actions/*.png
#
#

#
#
#
%dir %_datadir/apps/kdf/
%dir %_datadir/apps/kdf/pics/
%_datadir/apps/kdf/pics/*.png
#
#
%dir %_datadir/apps/kedit/
%_datadir/apps/kedit/*.rc
#
#
#
#
#
#
%dir %_datadir/apps/khexedit/
%dir %_datadir/apps/khexedit/toolbar/
%_datadir/apps/khexedit/toolbar/*.png
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kjots/
%dir %_datadir/apps/kjots/pics/
%_datadir/apps/kjots/pics/*.png
#
#
%if %use_apm
%dir %_datadir/apps/klaptopdaemon/
%dir %_datadir/apps/klaptopdaemon/icons/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/
%dir %_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/actions/
%_datadir/apps/klaptopdaemon/icons/crystalsvg/32x32/actions/*.png
#
%endif
#
#
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop
#
#
#
%dir %_datadir/apps/kregexpeditor/
%dir %_datadir/apps/kregexpeditor/pics/
%_datadir/apps/kregexpeditor/pics/*.png
#
%dir %_datadir/apps/kregexpeditor/predefined/
%dir %_datadir/apps/kregexpeditor/predefined/general/
%_datadir/apps/kregexpeditor/predefined/general/*.regexp
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#

#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
#
%dir %_iconsdir/crystalsvg/16x16/devices/
%_iconsdir/crystalsvg/16x16/devices/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png
#
#
%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/*.png

%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png


%dir %_datadir/apps/ksim
%dir %_datadir/apps/ksim/monitors/
%_datadir/apps/ksim/monitors/*.desktop
%dir %_datadir/apps/ksim/pics/
%_datadir/apps/ksim/pics/*.png
%dir %_datadir/apps/ksim/themes/
%dir %_datadir/apps/ksim/themes/ksim/
%_datadir/apps/ksim/themes/ksim/*.png
%_datadir/apps/ksim/themes/ksim/gkrellmrc*
%dir %_datadir/apps/ksim/themes/ksim/host/
%_datadir/apps/ksim/themes/ksim/host/*.png

%dir %_datadir/apps/ksim/themes/ksim/mail/
%_datadir/apps/ksim/themes/ksim/mail/*.png

%dir %_datadir/apps/ksim/themes/ksim/net/
%_datadir/apps/ksim/themes/ksim/net/*.png

%_datadir/config/ksimrc








%files devel
%defattr(-,root,root,-)
%_includedir/*.h

%dir %_includedir/ksim/
%_includedir/ksim/*.h


%changelog
* Fri Mar 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Add patch9-10 : fix ksim crash when partition size is null as /dev etc.

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix ark, kcalc )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( fix ark )

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix some bugs )

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix kcalc)

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kdf

* Mon Feb 10 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-3mdk
- Fix menu entry for Kcalc

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch9: fix DoS on kedit /dev/zero

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch9 : fix crash in kregexpeditor.

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix use apm on ix86 and ppc not ix64 etc...

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- fix description : thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- RC2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Add missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Move kcalc to Office/Accessories

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch8 : fix kedit enable/disable cut/copy action

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch7 : fix kdf mem leak

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch6 : used klineeditdlg in kregexeditor

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch3 : fix mem leak in klaptopdeamon
- Add patch4 : fix second mem leak in klaptopdeamon
- Add patch5 : fix third mem leak in klaptodeamon

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against new gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>  lib64 fixes
- Remove debuggage

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add patch2 : fix kcalc : use backspace and display value ==0.000...

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc-3.2
- Add  Patch1 patch for ix64

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuild against libstdc++

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix provides/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix menu

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdeutils

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remobe 'fomit-frame-pointer'

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.5mdk
- Oops, fix previous changelogs

* Sat Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
